/*
 * MissingValueException.hpp
 *
 *  Created on: Jul 23, 2010
 *      Author: heber
 */

#ifndef MISSINGVALUEEXCEPTION_HPP_
#define MISSINGVALUEEXCEPTION_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "Exceptions/CustomException.hpp"

class MissingValueException : public CustomException
{
public:
  MissingValueException(std::string _file, int _line);
  virtual ~MissingValueException() throw ();

  virtual const char* what() const throw();
};

#endif /* MISSINGVALUEEXCEPTION_HPP_ */
